System requirements

 

Windows
 
  • 2GHz or faster processor 
  • 32- and 64-bit (unless noted): Microsoft® Windows® XP SP3 (32-bit), Windows Vista® (32-bit), Windows 7, Windows 8.1 and Windows 10Microsoft® Windows® XP with Service Pack 3, Windows 7 (32 bit or 64
  • 2GB of RAM
  • 5GB of available hard-disk space 
  • Java™ Virtual Machine (32 bit): Oracle® JRE 1.6 or 1.7
  • Java Virtual Machine (64 bit): Oracle JRE 1.6 or 1.7
  • 1024x768 display (1280x800 recommended) with 16-bit video card 
  • Eclipse™ 3.7 or Eclipse 4.2 (for plug-in installation)†


* Learn more about Windows support.

Mac OS
 
  • Intel® processor 
  • Mac OS X v10.6, v10.7, or v10.8
  • 2GB of RAM 
  • 4GB of available hard-disk space 
  • Java Virtual Machine (64 bit): JRE 1.6 
  • 1024x768 display (1280x800 recommended) with 16-bit video card 
  • Eclipse 3.7 or or Eclipse 4.2 Cocoa version (for plug-in installation)†


† The following distributions are supported: Eclipse IDE for Java EE developers, Eclipse IDE for Java developers, Eclipse Classic, and Eclipse for PHP developers.


Language versions

English
Français
日本語
简体中文